<?php

/*
 * @package RS-SITE
 * @copyright (c) 2013 Alexey Glumov aka Rio-Shaman (support@rio-shaman.ru)
 * @license GNU General Public License version 2; see LICENSE.txt
 *
 */
 

if(!defined('RS-SITE')) die();

class sysDB extends workDB
{   
    function delete($map_id)
    {
        $this->accept_delete("DELETE FROM rs_map WHERE map_id='".$map_id."'");
        $this->accept_delete("DELETE FROM rs_connect_modules WHERE map_modules='".$map_id."'");
    }
    
    function insert_map($fields, $type = 0)
    {
        $what = array
        (
            'map_parent'    => $fields['map_parent'],
            'map_name'      => $fields['map_name'],
            'map_alias'     => $fields['map_alias'],
            'map_modules'   => 0,
            'map_type'      => $type,
            'map_tree_type' => ($fields['map_tree_type'] == 'variable') ? 'variable' : 'static'
        );
    
        $inser_row = $this->accept_insert($what,'rs_map', 'map_id');
        
        $this->accept_update(array('map_modules' => $inser_row), 'rs_map', "map_id='".$inser_row."'");
        
        return $inser_row;
    }
    
    /* работа с вставкой шаблона модулей */
    
    function insert_modul($param_array)
    {
        $xml     = simplexml_load_file("core/cfg/modules.xml");
        $name    = array();
        $values  = array();

        // циклим все модули
        foreach ($xml->modul as $modules)
            // циклим аттрибуты модуля
            foreach ($modules->attributes() as $name_attribute => $value_attribute)
                // по алиасу находим нужный модуль
                if ($name_attribute == 'alias' AND $value_attribute == $param_array['alias']) {
                    // циклим все аттрибуты модуля
                    foreach ($modules->attributes() as $name_select => $value_select)
                        if ($name_select == 'position')
                            $position      = (int)$value_select;
                        elseif ($name_select == 'parent')
                            $parent        = (int)$value_select;
                        elseif ($name_select == 'block')
                            $block         = (int)$value_select;
                        elseif ($name_select == 'name')
                            $modul_name    = (string)$value_select;
                            
                    $modul = $modules;
                }
        // циклим параметры модуля
        foreach ($modul->parameter as $parameter) {
            $attr       = get_object_vars($parameter->attributes());

            $name[]     = $attr['@attributes']['name'];
            $values[]   = $attr['@attributes']['value'];
        }

        foreach ($values as $key => $value)
            if (preg_match("/^%.*?%$/s", $value))
            {
                preg_match("/^%(.*?)%$/s", $value, $parrent);
                $values[$key] = $param_array[$parrent[1]];
            }

        $connect_value = '';
        
        foreach ($name as $key => $value)
            if ($key == 0)
                $connect_value .= $name[$key].':'.$values[$key];
            else
                $connect_value .= '\n'.$name[$key].':'.$values[$key];
        
        $modul_id = $this->get_modul_id($modul_name);

        $what = array
        (
            'modul_id'             => $modul_id,
            'map_modules'          => $param_array['map_id'],
            'connect_value'        => $connect_value,
            'connect_block'        => $block,
            'connect_parent'       => $parent,
            'connect_position'     => $position
        );
            
        $this->accept_insert($what, 'rs_connect_modules');
    }
    
    function get_modul_id($modul)
    {
        $sql = "SELECT modul_id FROM rs_modules WHERE modul_name = '$modul'";
        
        $modul_id = $this->accept_select($sql);
        
        return $modul_id[0]['modul_id'];
    }
    
    /*проверка алиаса по таблице RS_MAP*/
    
    function check_take_alias($alias, $map_id)
    {   
        if (trim($alias) == '')
            $alias = time();
        
        if ($this->check_alias($alias, $map_id) !== 0)
        {
            if (!preg_match("/^.*?\.html$/", $alias))
                $alias = $alias.time();
            else
                $alias = str_replace(".html", "", $alias).time().".html";
        }
        
        return $alias;
    }
    
    function check_alias($alias, $map_id)
    {
        $map_id = intval($map_id);
                        
        $sql = ""
            ." SELECT map_id "
                ."FROM"
            ." rs_map"
                ." WHERE 1=1"
            ." AND map_parent = '".$map_id."'"
            ." AND map_alias = '".$alias."'";
        
        if ($result = $this->accept_count_select($sql))
            return $result;
        
        return 0;
    }
    
    /*перезапись алиаса в таблице RS_MAP*/
    
    function update_map($fields)
    {
        $what = array();
                
        if (isset($fields['map_alias']))
            $what['map_alias'] = $fields['map_alias'];
        
        if (isset($fields['map_name']))
            $what['map_name'] = $fields['map_name'];
        
        if (isset($fields['map_parent']))
            $what['map_parent'] = $fields['map_parent'];
        
        $what['map_tree_type'] = ($fields['map_tree_type'] == 'variable') ? 'variable' : 'static';
        
        $this->accept_update($what, 'rs_map', "map_id='".$fields['map_id']."'");
    }
}
?>