<?php

/*
 * @package RS-SITE
 * @copyright (c) 2013 Alexey Glumov aka Rio-Shaman (support@rio-shaman.ru)
 * @license GNU General Public License version 2; see LICENSE.txt
 *
 */
 
if(!defined('RS-SITE')) die();

function tpl_text($data) { ?>
<script>
  function set_filter()
  {
      var start    = $('#sy').val()+'-'+$('#sm').val()+'-'+$('#sd').val();
      var end      = $('#ey').val()+'-'+$('#em').val()+'-'+$('#ed').val();
      var status   = $('#s').val();
      var email    = $('#e').val();
      
      $('#start').val(start);
      $('#end').val(end);
      $('#status').val(status);
      $('#email').val(email);
      
      $('#filter').submit();
  }
  
  function clear_filter()
  {
      $('#start').val('<?=date('Y-m-d')?>');
      $('#end').val('<?=date('Y-m-d')?>');
      $('#status').val('2');
      $('#email').val('');
	  
	  $('#filter').submit();
  }
  
  function open_edit_form(comment_id, step)
  {
      if (step == 0)
      {
          if (!$('#text_' + comment_id).hasClass('hide'))
              $('#text_' + comment_id).addClass('hide')
          
          if($('#form_' + comment_id).hasClass('hide'))    
              $('#form_' + comment_id).removeClass('hide')
      }
      
      if (step == 1)
      {
          if ($('#text_' + comment_id).hasClass('hide'))
              $('#text_' + comment_id).removeClass('hide')
          
          if(!$('#form_' + comment_id).hasClass('hide'))    
              $('#form_' + comment_id).addClass('hide')          
      }
  }
  
  function edit_comment(comment_id)
  {
    var comment_text = $("#form_" + comment_id + " textarea").val();
    
    $.post('/admin/comment/edit/', { comment_id: comment_id, comment_text: comment_text }, function ()
    {
    	$('#comment_block').load('/admin/comment/ #comment');
    });
  }
  
  function delete_comment(content_id, comment_id, step)
  {
	if (step == 0)
	{
		if (confirm("Вы уверены, что хотите удалить ветку комментариев?"))
			delete_comment(content_id, comment_id, 1);
	}
	
	if (step == 1)
	{
        $.get('/admin/comment/delete/', { content_id: content_id, comment_id: comment_id }, function ()
		{
			$('#comment_block').load('/admin/comment/ #comment');
		});
	}
  }
  
  function change_status(content_id, comment_id)
  {
    $.get('/admin/comment/status/', { content_id: content_id, comment_id: comment_id }, function ()
	{
		$('#comment_block').load('/admin/comment/ #comment');
	});
  }
</script>
<? $comments = $data['comment.browse']['comments']; ?>
<? $filter   = $data['comment.browse']['filter']; ?>
<? 

    $month_array = array(
        '01'    => 'Январь',
        '02'    => 'Февраль',
        '03'    => 'Март',
        '04'    => 'Апрель',
        '05'    => 'Май',
        '06'    => 'Июнь',
        '07'    => 'Июль',
        '08'    => 'Август',
        '09'    => 'Сентябрь',
        '10'    => 'Октябрь',
        '11'    => 'Ноябрь',
        '12'    => 'Декабрь'
    );
 ?>
<form id="filter" action="" method="get">
<input id="start" name="start" type="hidden" value="" />
<input id="end" name="end" type="hidden" value="" />
<input id="status" name="status" type="hidden" value="" />
<input id="email" name="email" type="hidden" value="" />
</form>
<table cellpadding="3" cellspacing="0" border="0" align="center" width="100%">
  <tr>
   <td valign="top" width="250px">
     От:&nbsp;
     <select id="sd" name="" class="input_form_admin_max" style="width: 50px">
      <? for ($dd = 1; $dd <= 31; $dd++) { ?>
      <? if ($dd < 10) $d = (string)('0'.$dd);  else $d = $dd;  ?>
      <option<? if ($filter['sday'] == $dd) { ?> selected="selected"<? } ?> value="<?=$d?>"><?=$dd?></option>
      <? } ?>
     </select>
     <select id="sm" class="input_form_admin_max" style="width: 100px">
      <? foreach ($month_array as $m => $mm) { ?>
      <option<? if ($filter['smonth'] == $m) { ?> selected="selected"<? } ?> value="<?=$m?>"><?=$mm?></option>
      <? } ?>
     </select>
     <select id="sy" class="input_form_admin_max" style="width: 60px">
      <? for ($yy = date('Y'); $yy >= 2010; $yy--) { ?>
      <option<? if ($filter['syear'] == $yy) { ?> selected="selected"<? } ?> value="<?=$yy?>"><?=$yy?></option>
      <? } ?>
     </select>
   </td>
   <td valign="top">
     Статус:&nbsp;
     <select id="s" class="input_form_admin_max" style="width: 130px">
      <option<? if ($filter['status'] == 2) { ?> selected="selected"<? } ?> value="2">Все</option>
      <option<? if ($filter['status'] == 0) { ?> selected="selected"<? } ?> value="0">Заблокированные</option>
      <option<? if ($filter['status'] == 1) { ?> selected="selected"<? } ?> value="1">Разблокированные</option>
     </select>
   </td>
   <td valign="top" align="right">
    <input onclick="set_filter();" type="button" value="Фильтровать" />
   </td>
  </tr>
  <tr>
   <td rowspan="2">
     До:&nbsp;
     <select id="ed" class="input_form_admin_max" style="width: 50px">
      <? for ($dd = 1; $dd <= 31; $dd++) { ?>
      <? if ($dd < 10) $d = (string)('0'.$dd);  else $d = $dd;  ?>
      <option<? if ($filter['eday'] == $dd) { ?> selected="selected"<? } ?> value="<?=$d?>"><?=$dd?></option>
      <? } ?>
     </select>
     <select id="em" class="input_form_admin_max" style="width: 100px">
      <? foreach ($month_array as $m => $mm) { ?>
      <option<? if ($filter['emonth'] == $m) { ?> selected="selected"<? } ?> value="<?=$m?>"><?=$mm?></option>
      <? } ?>
     </select>
     <select id="ey" class="input_form_admin_max" style="width: 60px">
      <? for ($yy = date('Y'); $yy >= 2010; $yy--) { ?>
      <option<? if ($filter['eyear'] == $yy) { ?> selected="selected"<? } ?> value="<?=$yy?>"><?=$yy?></option>
      <? } ?>
     </select>
   </td>
   <td valign="top">
     E-Mail:&nbsp;&nbsp;
	 <input id="e" class="input_form_admin_max" placeholder="E-Mail пользователя" value="<?=trim($filter['email'])?>" style="width: 130px" />
   </td>
   <td valign="top" align="right">
   	<input onclick="clear_filter();" type="button" value="Сбросить" />
   </td>
  </tr>
</table>
<br />
<? if (!empty($comments)) { ?>
<div id="comment_block">
  <div id="comment">
    <? tpl_tree($comments, $level = 0); ?>
    <br /><br />
  </div>
</div>
<? } else { ?>
 Комментариев нет.
<? } ?>
<? }

function tpl_tree($comments, $level = 0) { ?>

<? foreach ($comments as $comment) { ?>
    <? $style = $level*10; ?>
    <div class="comment" style="margin-left: <?=$style?>px; background-color: <? if ($comment['comment_status'] != 0) { ?>#fff<? } else { ?>#f6f6f6<? } ?>;">
      <div class="comment_block">
       <div class="comment_info"><? if (trim($comment['comment_site']) != '') { ?><a href="<?=$comment['comment_site']?>" rel="nofollow"><b><?=$comment['comment_author']?></b></a><? } else { ?><b><?=$comment['comment_author']?></b><? } ?>&nbsp;<small>(<?=$comment['comment_email']?>)</small>,&nbsp;<?=$comment['comment_publication']?>&nbsp;пишет:</div>
       <div id="text_<?=$comment['comment_id']?>" class="mg">
        <img src="http://www.gravatar.com/avatar/<?=md5($comment['comment_email'])?>?d=mm&s=45&r=G" style="margin: 0 5px 0px 0;" align="left" /><?=nl2br($comment['comment_text'])?>
       </div>
       <div id="form_<?=$comment['comment_id']?>" class="mg hide">
         <textarea style="width:99%; height: 100px; font-family:verdana; font-size:11px; border: 1px solid #dcdcdc;"><?=$comment['comment_text']?></textarea>
         <div style="overflow: hidden;">
           <div class="modul_sub" style="float: right;" onclick="open_edit_form('<?=$comment['comment_id']?>', '1');">Отмена</div>
           <div class="modul_sub" style="float: right; margin-right: 5px; width: 100px;" onclick="edit_comment('<?=$comment['comment_id']?>');">Редактировать</div>
         </div>
       </div>
      </div>
      <div class="comment_panel">
        <div><a href="javascript: open_edit_form('<?=$comment['comment_id']?>', '0');">Редактировать</a></div>
        <div><a href="<?=$comment['path']?>" target="_blank">К&nbsp;комментарию</a></div>
        <div class="mg"><a href="javascript: delete_comment('<?=$comment['content_id']?>', '<?=$comment['comment_id']?>', '0');">Удалить</a></div>
        <? if ($comment['comment_status'] == 0) { ?><div><a href="javascript: change_status('<?=$comment['content_id']?>', '<?=$comment['comment_id']?>')">Разблокировать</a></div><? } ?>
      </div>
    </div>
    <? if (!empty($comment['sub_comments'])) { ?>
     <? $new_level = $level + 1; ?>
     <? tpl_tree($comment['sub_comments'], $new_level) ?>
    <? } ?>
<? } ?> 

<? } ?>