<?php

/*
 * @package RS-SITE
 * @copyright (c) 2013 Alexey Glumov aka Rio-Shaman (support@rio-shaman.ru)
 * @license GNU General Public License version 2; see LICENSE.txt
 *
 */
 
if(!defined('RS-SITE')) die();

function tpl_text($data) {
    
    $group_id     = $GLOBALS['groupid'];
    $subgroup_id  = $GLOBALS['subgroupid'];
    $param_id     = $GLOBALS['paramid'];
    $breadcrumbs  = $data['breadcrumbs.intro'];
    
    ?>
    <script>

        function change_position(id, step)
    	{
    		$.get('/admin/parameter/<?=$group_id?>/<?=$subgroup_id?>/<?=$param_id?>/position/', {value_id: id, step: step}, function ()
    		{			
    				$('#value_block').load('/admin/parameter/<?=$group_id?>/<?=$subgroup_id?>/<?=$param_id?>/ #value');
    		});
    	}
        
        function delete_value(value_id, step)
    	{
    		if (step == 0)
    		{
    			if (confirm("Вы уверены, что хотите удалить значение?"))
    				delete_value(value_id, 1);
    		}
    		
    		if (step == 1)
    		{
                $.get('/admin/parameter/<?=$group_id?>/<?=$subgroup_id?>/<?=$param_id?>/delete/', { value_id: value_id }, function ()
    			{
    				$('#value_block').load('/admin/parameter/<?=$group_id?>/<?=$subgroup_id?>/<?=$param_id?>/ #value');
    			});
    		}
    	}

    </script>

    <div id="value_block">
        <div id="value">

            <table class="headerWIN" width="95%" cellpadding="0" cellspacing="0" border="0" align="center">
                <tr>
                    <td width="2%" height="30px" valign="top" class="admin_title_table">ID</td>
                    <td width="88%" height="30px" valign="top" class="admin_title_table">
                        Имя значения <br />
                        <small>
                            <?
                            $count = (count($breadcrumbs)) - 1;
                            foreach ($breadcrumbs as $key => $breadcrumb)
                                if ($key > 1) {
                                    if ($count == $key) {
                                        if ($key > 2) { ?>&nbsp;&rarr;&nbsp;<? } ?><?=$breadcrumb['name']?><?
                                    }
                                    else {
                                        ?><a href="<?=$breadcrumb['path']?>"><? if ($key > 2) { ?>&nbsp;&rarr;&nbsp;<? } ?><?=$breadcrumb['name']?></a><?
                                    }
                                 }
                            ?>
                        </small>
                    </td>
                    <td width="2%" valign="top" class="admin_title_table"></td>
                    <td width="2%" valign="top" class="admin_title_table"></td>
                    <td align="right" width="6%" colspan="3" valign="top" class="admin_title_table">
                        <a href="add/"><img src="/templates/admin/img/add.png" border="0px"></a>
                    </td>
                </tr>
                <?
                if (!empty($data['parameter.param.value.browse'])) {
                    $count = count($data['parameter.param.value.browse']);
                    foreach ($data['parameter.param.value.browse'] as $value) {
                        ?>
                        <tr>
                            <td valign="top" class="admin_table"><?=$value['value_id']?></td>
                            <td valign="top" class="admin_table"><?=$value['value_name']?></td>

                            <td class="admin_table" align="center" valign="top"><? if ($value['value_position'] != 1) { ?><a href="javascript: change_position('<?=$value['value_id']?>', 'up');"><img src="/templates/admin/img/up.png" border="0px"></a><? } else { ?>&nbsp;<? } ?></td>
                            <td class="admin_table" align="center" valign="top"><? if ($value['value_position'] != $count) { ?><a href="javascript: change_position('<?=$value['value_id']?>', 'down');"><img src="/templates/admin/img/down.png" border="0px"></a><? } else { ?>&nbsp;<? } ?></td>

                            <td class="admin_table" align="center" valign="top">
                                <a href="/admin/parameter/<?=$group_id?>/<?=$subgroup_id?>/<?=$param_id?>/editvalue/?value_id=<?=$value['value_id']?>"><img border="0px" src="/templates/admin/img/edit.png"></a>
                            </td>

                            <td class="admin_table" align="center" valign="top">
                                <a href="javascript: delete_value('<?=$value['value_id']?>','0');"><img src="/templates/admin/img/del.png" border="0px"></a>
                            </td>
                        </tr>
                        <?
                    }
                }
                else {
                    ?>
                    <tr>
                        <td colspan="5" class="admin_table">В базе данных нет значений.</td>
                    </tr>
                    <?
                }
                ?>
            </table>
        </div>
    </div>
    <?
}
?>