<?php

/*
 * @package RS-SITE
 * @copyright (c) 2013 Alexey Glumov aka Rio-Shaman (support@rio-shaman.ru)
 * @license GNU General Public License version 2; see LICENSE.txt
 *
 */
 

if(!defined('RS-SITE')) die();

class workTrigger
{
    private $trigger = '';
    
    // получаем триггер
    public function getTrigger()
    {
        if (isset($GLOBALS['rssite']['trigger']))
            if ($this->trigger = $this->getObject($GLOBALS['rssite']['trigger']))
                return TRUE;
                
        return FALSE;
    }

    // выполняем триггер
    public function runTrigger($event, $sqlType)
    {
        // проверка стоит ли запускать триггер сайчас
        if ($this->trigger->determineStart($event, $sqlType))
            $this->trigger->runTrigger();
    }
    
    // подымаем объект триггера
    private function getObject($name)
    {
        if (isset($GLOBALS[$name]))
            return $GLOBALS[$name];
            
        return FALSE;
    }
}
?>