<?php

/*
 * @package RS-SITE
 * @copyright (c) 2013 Alexey Glumov aka Rio-Shaman (support@rio-shaman.ru)
 * @license GNU General Public License version 2; see LICENSE.txt
 *
 */
 

if(!defined('RS-SITE')) die();

include('modules/admin/comment/comment.class.php');

$comment = new comment();

$GLOBALS['rssite']['menu'] = $value['type'];

switch($value['value'])
{
    case 'browse':
        $fields = array();
        
        if (isset($_GET['start']))    $fields['start']    = $comment->tools->clear_string($_GET['start']);
        if (isset($_GET['end']))      $fields['end']      = $comment->tools->clear_string($_GET['end']);
        if (isset($_GET['status']))   $fields['status']   = $comment->tools->clear_int($_GET['status']);
        if (isset($_GET['email']))    $fields['email']    = $comment->tools->clear_string($_GET['email']);
        
        $massiv_tree[$value['tpl']] = $comment->get_comment($fields);
        break;
    case 'edit':
        $fields = array();
        
        if (isset($_POST['comment_id']))      $fields['comment_id']      = $comment->tools->clear_int($_POST['comment_id']);
        if (isset($_POST['comment_text']))    $fields['comment_text']    = $comment->tools->clear_string($_POST['comment_text']);
        
        if (count($fields) == 2)
            $comment->edit_comment($fields);
        break;
    case 'delete':
        $fields = array();
        
        if (isset($_GET['content_id']))   $fields['content_id']   = $comment->tools->clear_int($_GET['content_id']);
        if (isset($_GET['comment_id']))   $fields['comment_id']   = $comment->tools->clear_int($_GET['comment_id']);

        if (count($fields) == 2)
            $comment->delete_comment($fields);
        
        die('ok');
        break;
    case 'status':
        $fields = array();
        
        if (isset($_GET['content_id']))   $fields['content_id']   = $comment->tools->clear_int($_GET['content_id']);
        if (isset($_GET['comment_id']))   $fields['comment_id']   = $comment->tools->clear_int($_GET['comment_id']);

        if (count($fields) == 2)
            $comment->change_status($fields);        
        
        die('ok');
        break;
}
?>