<?php

/*
 * @package RS-SITE
 * @copyright (c) 2013 Alexey Glumov aka Rio-Shaman (support@rio-shaman.ru)
 * @license GNU General Public License version 2; see LICENSE.txt
 *
 */

if(!defined('RS-SITE')) die();

include('modules/admin/content/content.class.php');

$content = new content($value);

$GLOBALS['rssite']['menu'] = $value['type'];

switch($value['value'])
{
	case 'browse':
        $fields = array();
        
        if (isset($_GET['start']))    $fields['start']    = $content->tools->clear_string($_GET['start']);
        if (isset($_GET['end']))      $fields['end']      = $content->tools->clear_string($_GET['end']);
        if (isset($_GET['status']))   $fields['status']   = $content->tools->clear_int($_GET['status']);
        if (isset($_GET['author']))   $fields['author']   = $content->tools->clear_string($_GET['author']);
        if (isset($_GET['title']))    $fields['title']    = $content->tools->clear_string($_GET['title']);
    
		$massiv_tree[$value['tpl']]['default'] = $content->get_all_content($value['type'], $fields);
		break;
	case 'add':
		$fields = array();
		
		if (isset($_POST['content_name']))		$fields['content_name'] 		= $content->tools->clear_string($_POST['content_name']);
		if (isset($_POST['content_announce']))	$fields['content_announce'] 	= $content->tools->clear_html($_POST['content_announce']);
		if (isset($_POST['content_text'])) 	    $fields['content_text'] 		= $content->tools->clear_html($_POST['content_text']);
		if (isset($_POST['content_alias'])) 	$fields['content_alias'] 		= $content->tools->get_translit($_POST['content_alias']);
		if (isset($_POST['content_desc'])) 	    $fields['content_desc'] 		= $content->tools->clear_string($_POST['content_desc']);
		if (isset($_POST['content_key'])) 		$fields['content_key'] 		    = $content->tools->clear_string($_POST['content_key']);
		if (isset($_POST['content_user']))		$fields['content_user'] 		= $content->tools->clear_int($_POST['content_user']);
		if (isset($_POST['content_catalog']))	$fields['content_catalog'] 	    = $content->tools->clear_int($_POST['content_catalog']);
		
		if (isset($fields['content_name']) AND empty($fields['content_name']))
            $fields['content_name'] = time();
		
		if (count($fields) == 8)
		{
            if (isset($additional))
            {
                $a_fields = $additional->clear_value($_POST['addition']);
                if (isset($_POST['group_id']))
                    $a_fields['group_id'] = $additional->tools->clear_int($_POST['group_id']);
                
                $fields['content_more'] = $additional->add_value($a_fields);
            }
            
            
            $fields['content_type'] = $value['type'];
            $content->add_content($fields);
        }
		$massiv_tree[$value['tpl']]['tree']          = $value['tree'];
        $massiv_tree[$value['tpl']]['content_type']  = $value['type'];	
		$massiv_tree[$value['tpl']]['default']       = $content->show_form();

        if (isset($additional))
            $massiv_tree[$value['tpl']]['additional'] = $additional->show_form();
		break;
	case 'edit':
		if (isset($_GET['id']))	$content_id = $content->tools->clear_int($_GET['id']);
		
		if (isset($_POST['content_id']))		$fields['content_id'] 		    = $content->tools->clear_int($_POST['content_id']);
		if (isset($_POST['content_name']))		$fields['content_name'] 		= $content->tools->clear_string($_POST['content_name']);
		if (isset($_POST['content_announce']))	$fields['content_announce'] 	= $content->tools->clear_html($_POST['content_announce']);
		if (isset($_POST['content_text'])) 	    $fields['content_text'] 		= $content->tools->clear_html($_POST['content_text']);
		if (isset($_POST['content_alias'])) 	$fields['content_alias'] 		= $content->tools->get_translit($_POST['content_alias']);
		if (isset($_POST['content_desc'])) 	    $fields['content_desc'] 		= $content->tools->clear_string($_POST['content_desc']);
		if (isset($_POST['content_key'])) 		$fields['content_key'] 		    = $content->tools->clear_string($_POST['content_key']);
		if (isset($_POST['content_user']))		$fields['content_user'] 		= $content->tools->clear_int($_POST['content_user']);
		if (isset($_POST['content_catalog']))	$fields['content_catalog'] 	    = $content->tools->clear_int($_POST['content_catalog']);
		
		if (count($fields) == 9)
		{
            if (isset($additional))
            {
                $a_fields = $additional->clear_value($_POST['addition']);
                if (isset($_POST['group_id']))
                    $a_fields['group_id'] = $additional->tools->clear_int($_POST['group_id']);
                
                $additional->edit_value($a_fields, $fields['content_id']);
            }

            $content->edit_content($fields);
        }
		
		if (isset($content_id))
			$massiv_tree[$value['tpl']]['default'] = $content->show_form_edit($content_id);
        
        $massiv_tree[$value['tpl']]['tree']          = $value['tree'];
        $massiv_tree[$value['tpl']]['content_type']  = $value['type'];
        
        if (isset($additional) AND isset($content_id))
            $massiv_tree[$value['tpl']]['additional'] = $additional->show_form_edit($content_id);
        
        if(!isset($content_id))
            $content->tools->not_found();
		
        break;
	case 'cfg':
		if (isset($_GET['id']))	$content_id = $content->tools->clear_int($_GET['id']);
		
		if (isset($_POST['cfg_content_id']))	$fields['cfg_content_id'] 		= $content->tools->clear_int($_POST['cfg_content_id']);
		if (isset($_POST['cfg_public_mode']))	$fields['cfg_public_mode']     	= $content->tools->clear_int($_POST['cfg_public_mode']);
		if (isset($_POST['cfg_hide_mode']))	    $fields['cfg_hide_mode'] 	    = $content->tools->clear_int($_POST['cfg_hide_mode']);
		if (isset($_POST['cfg_comm']))		    $fields['cfg_comm']	 	        = $content->tools->clear_int($_POST['cfg_comm']);
		if (isset($_POST['cfg_public_sm'])) 	$fields['cfg_public_sm'] 	    = $content->tools->clear_int($_POST['cfg_public_sm']);
		if (isset($_POST['cfg_change_sm'])) 	$fields['cfg_change_sm'] 	    = $content->tools->clear_string($_POST['cfg_change_sm']);
		if (isset($_POST['cfg_priority_sm'])) 	$fields['cfg_priority_sm'] 	    = $content->tools->clear_string($_POST['cfg_priority_sm']);
		if (isset($_POST['cfg_rss'])) 		    $fields['cfg_rss'] 		        = $content->tools->clear_int($_POST['cfg_rss']);		
		
		if (count($fields) == 8)
			$content->cfg_content($fields);
		
		if (isset($content_id))
			$massiv_tree[$value['tpl']]['default'] = $content->show_form_cfg($content_id);
		
		break;
	case 'delete':
		if (isset($_GET['del']))	$content_id 	= $content->tools->clear_int($_GET['del']);
		
		if (isset($content_id))
		{
            if (isset($additional))
                $additional->delete_value($content_id);
            
            $content->delete_content($content_id);
        }
		
		$massiv_tree[$value['tpl']]['default'] = array();
		break;	
}
?>