<?php

/*
 * @package RS-SITE
 * @copyright (c) 2013 Alexey Glumov aka Rio-Shaman (support@rio-shaman.ru)
 * @license GNU General Public License version 2; see LICENSE.txt
 *
 */
 

if(!defined('RS-SITE')) die();

class tree extends core
{
    /*инициализация объектов для работы данного класса*/
    function tree()
    {
        $this->core();
    }

    /*CASE : POSITION*/

    function change_position($connect_id, $step)
    {
        $sql = "SELECT connect_block, connect_position, map_modules FROM rs_connect_modules WHERE connect_id='".$connect_id."'";
        
        if (!$position = $this->db->accept_select($sql))
            return FALSE;
        
        $old_position = $position[0]['connect_position'];
            
        if ($step == 'down')
            $new_position = $position[0]['connect_position'] + 1;
            
        if ($step == 'up')
            $new_position = $position[0]['connect_position'] - 1;
            
        $sql = "SELECT connect_id"
            ." FROM rs_connect_modules"
            ." WHERE connect_position='".$new_position."'"
            ." AND connect_block='".$position[0]['connect_block']."'"
            ." AND map_modules='".$position[0]['map_modules']."'";
        
        if (!$row_id = $this->db->accept_select($sql))
            return FALSE;
        
        $this->db->accept_update(array('connect_position' => $new_position), 'rs_connect_modules', 'connect_id=\''.$connect_id.'\'');
        $this->db->accept_update(array('connect_position' => $old_position), 'rs_connect_modules', 'connect_id=\''.$row_id[0]['connect_id'].'\'');
        
        exit;
    }

    /*CASE : EDIT*/
    
    function change_modules($modul)
    {
        $this->db->accept_update(array('connect_value' => $modul['modul_value']), 'rs_connect_modules', 'connect_id=\''.$modul['modul_id'].'\'');
        exit;
    }

    /*CASE : DELETE*/
    
    function delete_modules($connect_id)
    {
        $sql = "SELECT connect_block, map_modules FROM rs_connect_modules WHERE connect_id='".$connect_id."'";
        
        if (!$block = $this->db->accept_select($sql))
            return FALSE;
        
        $sql = "DELETE FROM rs_connect_modules WHERE connect_id='".$connect_id."'";
        
        $this->db->accept_delete($sql);
        
        $sql = "SELECT connect_id"
            ." FROM rs_connect_modules"
            ." WHERE connect_block='".$block[0]['connect_block']."'"
            ." AND map_modules='".$block[0]['map_modules']."'"
            ." ORDER BY connect_position";
        
        if ($position = $this->db->accept_select($sql))
        {
            $new_position = 1;
            foreach ($position as $value)
            {
                $what   = array('connect_position' => $new_position);
                $where  = 'connect_id=\''.$value['connect_id'].'\'';
                
                $this->db->accept_update($what, 'rs_connect_modules', $where);
                
                $new_position++;
            }
        }
        
        exit;
    }

    /*CASE : PARENT*/

    function change_parent($connect_id, $connect_parent)
    {
        $this->db->accept_update(array ('connect_parent' => $connect_parent), 'rs_connect_modules', 'connect_id=\''.$connect_id.'\'');
        exit;
    }
    
    /*CASE : ADD*/

    function add_modules ($massiv)
    {
        /*
         * Задача заполнить строчку в таблице RS_CONNECT_MODULES 
         * 1. По map_id определяем map_modules (в табл rs_map) (определили значение поля MAP_MODULES)
         * 2. Вытаскиваем все модули по map_modules из таблицы rs_connect_modules
         * считаем сколько их и определяем инфу для поля CONNECT_POSITION
         * значения MODUL_ID, CONNECT_VALUE, CONNECT_BLOCK присылаются из формы 
         * CONNECT_PARENT по умолчанию 0
         */
        
        if (!$map_modules = $this->get_map_modules($massiv['map_id']))
            return FALSE;
        
        $connect_position = $this->get_position($map_modules, $massiv['modul_block']) + 1;
        
        $what = array(
            'modul_id'          => $massiv['modul_id'],
            'map_modules'       => $map_modules,
            'connect_value'     => $massiv['modul_val'],
            'connect_block'     => $massiv['modul_block'],
            'connect_parent'    => 0,
            'connect_position'  => $connect_position
        );
        
        $this->db->accept_insert($what, 'rs_connect_modules');
        exit;
    }

    function get_position($map_modules, $block)
    {
        $sql = "SELECT COUNT(*) FROM rs_connect_modules WHERE map_modules='".$map_modules."' AND connect_block='".$block."'";
        
        if (!$position = $this->db->accept_count_select($sql))
            return FALSE;
        
        return $position;
    }

    /*Находим значение поля map_modules в таблице rs_map*/

    function get_map_modules($map_id)
    {
        $sql = "SELECT map_modules FROM rs_map WHERE map_id='".$map_id."'";
        
        if (!$map_modules = $this->db->accept_select($sql))
            return FALSE;
        
        return $map_modules[0]['map_modules'];
    }

    /*CASE : ENABLE*/

    /*метод выводит все адреса из карты*/
    function get_tree()
    {
        $sql = 'SELECT * FROM rs_map ORDER BY map_type DESC, map_id ASC';
        
        if (!$tree_massiv = $this->db->accept_select($sql))
            return FALSE;
        
        $nodes = $this->form_tree($tree_massiv, 0);

        return $nodes;
        
        return TRUE;
    }
    
    /*Вспомогательный метод для метода get_tree. формирует массив дерева из данных базы*/
    function form_tree($massiv, $level)
    {
        $sr = $GLOBALS['rssite']['cfg']['server_root'];
        
        $count = 0;
        foreach ($massiv as $key => $value)
        {
            if ($value['map_parent'] == $level)
            {
                $node = "<a href=\"javascript: open_tree('".$value['map_id']."');\">"
                    .$value['map_alias']."/</a>";
                
                $result[$count]['station']  = $node;
                $result[$count]['id']       = $value['map_id'];
                $result[$count]['type']     = $value['map_type'];

                if($podmenu = $this->form_tree($massiv, $value['map_id']))
                    $result[$count]['podmenu'] = $podmenu;
                else
                    $result[$count]['podmenu'] = "";
                    
                $count++;
            }
        }
        
        if (isset($result))
            return $result;
        else
            return FALSE;
    }
    
    /*CASE : BROWSE*/

    /*
     * Делаю выборку по принцепу класса map.class.php. Сначало формирую
     * чпу ссылку, после запускаю методы map класса (что бы не писать логику несколько раз)
     */
    function get_val_modules($map_id)
    {
        $this->get_chpu($map_id);
        
        krsort($this->chpu);

        foreach ($this->chpu as $key => $value)
        {
            if (empty($value))
                unset($this->chpu[$key]);
        }
        
        $this->chpu = implode("/", $this->chpu);
        
        if (!$this->tools->check_chpu_link($this->chpu))
            $this->chpu .= '/';
        
        $modules = $this->get_modul($this->chpu);
        echo $this->chpu;
        $modules['title']   = $GLOBALS['rssite']['cfg']['server_root'].( ($this->chpu == '/') ? '' : ((preg_match('/^.*?\.html|\/$/', $this->chpu)) ? $this->chpu : $this->chpu.'/') );
        $modules['id']      = $map_id;
        
        $modules['allmodules'] = $this->get_all_modules();
        
        return $modules;
    }
    
    /*Получаем весь список модулей из таблицы rs_modules*/
    
    function get_all_modules()
    {
        $sql = "SELECT * FROM rs_modules ORDER BY modul_name";
        
        return $this->db->accept_select($sql);
    }

    /*Формирую ЧПУ ссылку*/
    
    function get_chpu($map_id)
    {
        $sql = "SELECT map_alias, map_parent"
        ." FROM rs_map"
        ." WHERE map_id='".$map_id."'";
        
        if (!$chpu = $this->db->accept_select($sql))
            return FALSE;
        else
        {
            $this->chpu[] = $chpu[0]['map_alias'];
            
            if ($chpu[0]['map_parent'] != 0)
                $this->get_chpu($chpu[0]['map_parent']);
        }       
    }
    
    //КОПИЯ ИЗ MAP.CLASS.PHP
    
    /*метод получение массива с модулями и значениями каждого модуля*/
    function get_modul($chpu)
    {
        if ($chpu != "")
        {
            $chpu = explode("/", $chpu);
            
            if (count($chpu) > 1)
            {
                foreach ($chpu as $key => $value)
                    if (empty($value)) unset($chpu[$key]);
            
                $newchpu = $chpu;
                
                unset($chpu);
                
                $chpu[] = ""; // Самый первый элемент должен быть пустым !!! (корень дерева)
                
                foreach ($newchpu as $value)
                    $chpu[] = $value;
            }
            else
            {
                $kren = $chpu[0];
                $chpu = array('', $kren);
            }
        }
        else
            $chpu[0] = '';
                    
        if ($modules = $this->get_chain_links($chpu))
            return $modules;
        else
            return FALSE;
    }

    /*метод позволяет пройти по ветке в карте и отыскать id подключаемых модулей*/
    function get_chain_links($alias)
    {
        $db     = array();
        $where  = array();
        $field  = array();
        
        foreach($alias as $k => $v)
            $alias[$k] = $this->tools->clear_string($v);
        
        $level = count($alias);
        
        for($i=1;$i<=$level;$i++)
            $field[] = 't'.$i.'.map_modules as t_'.$i;
        
        for($i=1;$i<=$level;$i++)
            $db[] = 'rs_map t'.$i;
        
        for($i=1;$i<=$level;$i++)
        {
            $a = $i - 1;
            $n = $i + 1;
            
            if ($n <= $level)
                $checkparent = ' AND t'.$i.'.map_id=t'.$n.'.map_parent';
            else
                $checkparent = '';
            
            $where[] = 't'.$i.'.map_alias = \''.$alias[$a].'\''.$checkparent;
        }
        
        $db = implode(',', $db);
        $where = implode(' AND ', $where);
        $field = implode(',', $field);
        
        $sql = 'SELECT '.$field.' FROM '.$db.' WHERE '.$where;
        
        if($result = $this->db->accept_select($sql))
        {
            foreach ($result[0] as $value)
                $modules[] = intval($value);
            
            $modules = $this->get_value_modules($modules);
                
            return $modules;
        }
        else
            return FALSE;
    }
    
    /*
     * Метод, используя id модулей полученных в методе get_chain_links,
     * получает значение и имена модулей путем связывание таблиц:
     * - rs_modules
     * - rs_map
     */
    function get_value_modules ($modules)
    {
        foreach ($modules as $value)
        {
            $block = array('t', 'c', 'b');
            
            if ($value != 0)
            {
                $sql = "SELECT m.modul_name as modul, c.connect_value as value, c.connect_position as position, c.connect_block as block,"
                ." c.connect_parent as parent, c.connect_id as id"
                ." FROM rs_modules m, rs_connect_modules c"
                ." WHERE 1=1"
                ." AND c.map_modules='".$value."'"
                ." AND c.modul_id=m.modul_id"
                ." ORDER BY c.connect_position";
                
                if (!$row = $this->db->accept_select($sql))
                    $result[] = '';
                else
                {
                    for ($i=0; isset($block[$i]); $i++)
                        $massiv[$block[$i]] = array();
                    
                    for ($i=0;isset($row[$i]); $i++)
                    {                           
                        $massiv[$block[$row[$i]['block']]][$row[$i]['position']] = array(
                            'modul'     => $row[$i]['modul'],
                            'value'     => $row[$i]['value'],
                            'parent'    => $row[$i]['parent'],
                            'id'        => $row[$i]['id']
                        );                      
                    }
                    
                    for ($i=0; isset($block[$i]); $i++)
                        ksort($massiv[$block[$i]]);
                        
                    $result[] = array(
                        't' => $massiv['t'],
                        'c' => $massiv['c'],
                        'b' => $massiv['b'],
                    );
                }
            }
            else
                $result[] = '';
        }
        
        $result = $this->union_modules($result);
        
        return $result;
    }

    //END КОПИЯ ИЗ MAP.CLASS.PHP
    
    /*
     * метод объеденяет модули образуя коллекцию родительских и
     * подключенных модулей для последнего элемента дерева
     * ДАННЫЙ МЕТОД ЗАТОЧЕН ПОД НУЖДЫ TREE.CLASS.PHP
     */
    function union_modules($modules)
    {
        $un_modules = array();

        $all_items = count($modules) - 1;
        
        for ($i=0; isset($modules[$i]); $i++)
        {
            if (!empty($modules[$i]))
            {
                foreach ($modules[$i] as $key => $value)
                {
                    if ($all_items == $i)
                        $this->look_block($key, $value, $un_modules, TRUE);
                    else
                        $this->look_block($key, $value, $un_modules);
                }
            }
        }

        return $un_modules;
    }
    
    /*
     * Вспомогательный метод метода union_modules
     * листает блок (t, с или b) с модулями сливая их в единый массив
     * поделенный на эти самые блоки
     */
    function look_block($block, $massiv, &$un_modules, $end_branch = FALSE)
    {
        foreach ($massiv as $value)
        {
            if ($value['parent'] == 1 AND $end_branch == FALSE)
            {
                $un_modules['parent'][$block][$value['modul']]['id']     = $value['id'];
                $un_modules['parent'][$block][$value['modul']]['parent'] = $value['parent'];
                
                if (!isset($un_modules['parent'][$block][$value['modul']]['value']))
                    $un_modules['parent'][$block][$value['modul']]['value']  = $value['value'];
                else
                {
                    $result = array();
                    $value_parent = $this->tools->get_array_value($un_modules['parent'][$block][$value['modul']]['value']);
                    $value_branch = $this->tools->get_array_value($value['value']);

                    foreach ($value_branch as $key => $v)
                        $value_parent[$key] = $v;
                    
                    foreach ($value_parent as $key => $v)
                        $result[] = $key.':'.( (is_array($v)) ? implode(',', $v) : $v );//$result[] = $key.':'.$v;
                    
                    $separator = '{'.time().'}';
                    $result = implode($separator, $result);
                    $result = str_replace($separator, LINE, $result);
                    
                    $un_modules['parent'][$block][$value['modul']]['value'] = $result;
                }
                
                $value_parent = $this->tools->get_array_value($un_modules['parent'][$block][$value['modul']]['value']);
                
                if ($value_parent['value'] == 'disable')
                    unset($un_modules['parent'][$block][$value['modul']]);
            }
            
            if ($end_branch == TRUE)
            {
                $un_modules['now'][$block][$value['modul']]['id']        = $value['id'];
                $un_modules['now'][$block][$value['modul']]['parent']    = $value['parent'];
                $un_modules['now'][$block][$value['modul']]['value']     = $value['value'];
            }
        }
    }
}
?>