<?php

/*
 * @package RS-SITE
 * @copyright (c) 2013 Alexey Glumov aka Rio-Shaman (support@rio-shaman.ru)
 * @license GNU General Public License version 2; see LICENSE.txt
 *
 */

if(!defined('RS-SITE')) die();

class sitebar extends core
{
	function sitebar($value)
	{
		$this->core();
        $this->type   = $value['type'];
        $this->suffix  = $value['suffix'];
	}

    function get_sitebar()
	{
        if($cache = $this->cache->readerCACHE('sitebar', $_GET['chpu_links'], 1*60*60, TRUE))
            return $cache;

        $sql = "SELECT"
            ." w.widget_id             AS widget_id,"
            ." w.widget_title          AS widget_title,"
            ." w.widget_publication    AS widget_publication,"
            ." f.field_tpl             AS field_tpl,"
            ." f.field_text            AS widget_text"
        ." FROM"
            ." rs_widget                             w,"
            ." rs_".$this->type."_".$this->suffix."  f"
        ." WHERE"
            ."     w.widget_type                = '".$this->type."'"
            ." AND w.widget_mode_publication    = '1'"
            ." AND w.widget_more                = f.group_id"
        ." ORDER BY w.widget_position";
		
		if (!$sitebar = $this->db->accept_select($sql))
			return array();

        $this->cache->writeCACHE('sitebar', $_GET['chpu_links'], $sitebar, TRUE);
		
		return $sitebar;
	}
}
?>