<?
if(!defined('RS-SITE')) die();

$GLOBALS['rssite']['menu'] = "modules";

function tpl_text($data) {
    $modules     = $data['modul.browse']['modules'];
    $navigation  = $data['modul.browse']['navigation'];
    ?>

    <script>
        function delete_modul(modul_id, step)
        {
            if (step == 0)
    		{
    			if (confirm("Вы уверены, что хотите удалить модуль?"))
    				delete_modul(modul_id, 1);
    		}
    		
    		if (step == 1)
    		{
    			$.get('/admin/modules/delete/', { modul_id: modul_id }, function ()
    			{
    				$('#modul_browse').load('/admin/modules/?page=<?=$navigation['page']?> #modul');
    			});
    		}
        }
        
        function show_info(modul_id)
        {
            if ($('#modul_' + modul_id).css('display') == 'none')
                $('#modul_' + modul_id).css('display', 'block');
            else
                $('#modul_' + modul_id).css('display', 'none');
        }
    </script>

    <div id="modul_browse">
        <div id="modul">

        <table class="headerWIN" width="95%" cellpadding="0" cellspacing="0" border="0" align="center">
            <tr>
                <td width="5%" height="30px" valign="top" class="admin_title_table">ID</td>
                <td width="93%" height="30px" valign="top" class="admin_title_table">Название модуля</td>
                <td width="2%" colspan="2" valign="top" align="right" class="admin_title_table"><a href="add/"><img src="/templates/admin/img/add.png" border="0px"></a></td>
            </tr>
            <?
            if (!empty($modules)) {
                foreach ($modules as $modul) {
                    ?>
                    <tr>
                        <td valign="top" class="admin_table"><?=$modul['modul_id']?></td>
                        <td valign="top" class="admin_table"><a class="<? if ($modul['connect_count'] > 0) { ?>green<? } else { ?>red<? } ?>" style="font-weight:100;" href="edit/?modul_id=<?=$modul['modul_id']?>"><?=$modul['modul_name']?></a></td>
                        <td class="admin_table">
                            <?
                            if (!empty($modul['info'])) {
                                $info = $modul['info'];
                                ?>
                                <div onmouseover="show_info('<?=$modul['modul_id']?>');" onmouseout="show_info('<?=$modul['modul_id']?>');">
                                    <a href="#"><img src="/templates/admin/img/info.png" border="0px"></a>
                                    <div id="modul_<?=$modul['modul_id']?>" class="window-modul">
                                        <table cellpadding="0" cellspacing="0" border="0px">
                                            <tr>
                                                <td width="100px" style="padding-top:5px;" valign="top"><b>Модуль</b></td>
                                                <td width="250px" style="padding-top:5px;" valign="top"><?=$modul['modul_name']?> v<?=$info['version']?></td>
                                            </tr>
                                            <tr>
                                                <td width="100px" style="padding-top:5px;" valign="top"><b>Описание</b></td>
                                                <td width="250px" style="padding-top:5px;" valign="top"><?=nl2br(trim($info['description']))?></td>
                                            </tr>
                                            <tr>
                                                <td colspan="2" style="padding-top:5px;" valign="top"><b>Параметры:</b></td>
                                            </tr>                                        
                                            <?
                                            foreach ($info['variable'] as $variable) {
                                                ?>
                                                <tr>
                                                    <td width="70px" style="padding-top:5px; padding-left: 15px" valign="top"><b><?=$variable['name']?></b></td>
                                                    <td width="280px" style="padding-top:5px;" valign="top">
                                                        <?=nl2br(trim($variable['description']))?>
                                                    </td>
                                                </tr>
                                                <?
                                            }
                                            ?>
                                        </table>            
                                    </div>
                                </div>
                                <?
                            }
                            else {
                                ?>&nbsp;<?
                            }
                            ?>
                        </td>
                        <td class="admin_table" align="center"><a href="javascript: delete_modul('<?=$modul['modul_id']?>','0');"><img src="/templates/admin/img/del.png" border="0px"></a></td>
                    </tr>
                    <?
                }
            }
            else {
                ?>
                <tr>
                    <td colspan="4" class="admin_table">В базе данных нет модулей.</td>
                </tr>
                <?
            }
            ?>
        </table>
        <?
        if ($navigation['pagination'] > 1)
            tpl_navigation($navigation);
        ?>
        </div>
    </div>
    <?
}
?>