<?php

/*
 * @package RS-SITE
 * @copyright (c) 2013 Alexey Glumov aka Rio-Shaman (support@rio-shaman.ru)
 * @license GNU General Public License version 2; see LICENSE.txt
 *
 */
 
if(!defined('RS-SITE')) die();
$GLOBALS['rssite']['menu'] = 'tree';
?>
<? function tpl_text($data) { ?>
<script>
    
    /* ДОБАВЛЕНИЕ МОДУЛЕЙ */
    
    function open_block(block)
    {
        var parent_block = $('#parent_'+block);
        var now_block = $('#now_'+block);
        
        if (parent_block.css("display") == 'none')
            parent_block.css("display", "block");
        else
            parent_block.css("display", "none");
            
        if (now_block.css("display") == 'none')
            now_block.css("display", "block");
        else
            now_block.css("display", "none");
    }
    
    function open_panel(block)
    {
        var subb = $('#sub_add_'+block);
        var panel = $('#panel_add_'+block);
        
        if (subb.css("display") == 'none')
            subb.css("display", "block");
        else
            subb.css("display", "none");
            
        if (panel.css("display") == 'none')
            panel.css("display", "block");
        else
            panel.css("display", "none");
    }
    
    function add_modul(block, map_id)
    {
        var modul_id    = $('#panel_add_'+block+' select').val();
        var modul_val   = $('#panel_add_'+block+' textarea').val();
        var modul_block = '';
        if (block == 't')
            modul_block = 0;
        
        if (block == 'c')
            modul_block = 1;
            
        if (block == 'b')
            modul_block = 2;
            
        var nt = $("#now_t").css("display");
        var nc = $("#now_c").css("display");
        var nb = $("#now_b").css("display");

        var pt = $("#parent_t").css("display");
        var pc = $("#parent_c").css("display");
        var pb = $("#parent_b").css("display");
        
        $.post('/admin/tree/modules/add/', { map_id: map_id, modul_id: modul_id, modul_val: modul_val, modul_block: modul_block }, function ()
        {
            $('.modal_tree_table').load('/admin/tree/modules/browse/?map_id='+map_id+' #modal_tree', function ()
            {
                $("#now_t").css("display", nt);
                $("#now_c").css("display", nc);
                $("#now_b").css("display", nb);
                
                $("#parent_t").css("display", pt);
                $("#parent_c").css("display", pc);
                $("#parent_b").css("display", pb);
            });
        });
    }

    function open_edit_modules(id, step)
    {
        return_edit_modul();
        
        if (step == 0)
        {
            if ($('#modul_'+id).css('display') == 'block')
                $('#modul_'+id).css({'display': 'none'});
            else
                $('#modul_'+id).css({'display': 'block'});

            if ($('#edit_modul_'+id).css('display') == 'block')
                $('#edit_modul_'+id).css({'display': 'none'});
            else
                $('#edit_modul_'+id).css({'display': 'block'});
        }
    }
    
    function open_tree(id)
    {
        if ($('.modal_tree_table').css("display") == 'none')
        {
            $('.modal_tree_table').load('/admin/tree/modules/browse/?map_id='+id+' #modal_tree', function ()
            {               
                show_modal();
            });
        }
        else
            hide_modal();
    }
    
    function delete_modules(connect_id, map_id)
    {
        $.get('/admin/tree/modules/delete/', { connect_id: connect_id }, function ()
        {
            var nt = $("#now_t").css("display");
            var nc = $("#now_c").css("display");
            var nb = $("#now_b").css("display");

            var pt = $("#parent_t").css("display");
            var pc = $("#parent_c").css("display");
            var pb = $("#parent_b").css("display");

            $('.modal_tree_table').load('/admin/tree/modules/browse/?map_id='+map_id+' #modal_tree', function ()
            {
                $("#now_t").css("display", nt);
                $("#now_c").css("display", nc);
                $("#now_b").css("display", nb);
                
                $("#parent_t").css("display", pt);
                $("#parent_c").css("display", pc);
                $("#parent_b").css("display", pb);
            });
        });     
    }
    
    function change_parent(connect_id, map_id, connect_parent)
    {
        if (connect_parent == 1 || connect_parent == 0)
        {
            $.get('/admin/tree/modules/parent/', { connect_id: connect_id, connect_parent: connect_parent}, function ()
            {
                var nt = $("#now_t").css("display");
                var nc = $("#now_c").css("display");
                var nb = $("#now_b").css("display");

                var pt = $("#parent_t").css("display");
                var pc = $("#parent_c").css("display");
                var pb = $("#parent_b").css("display");

                $('.modal_tree_table').load('/admin/tree/modules/browse/?map_id='+map_id+' #modal_tree', function ()
                {
                    $("#now_t").css("display", nt);
                    $("#now_c").css("display", nc);
                    $("#now_b").css("display", nb);
                    
                    $("#parent_t").css("display", pt);
                    $("#parent_c").css("display", pc);
                    $("#parent_b").css("display", pb);
                });
            });         
        }
    }
    
    function save_edit(modul_id, map_id)
    {
        var modul_value = $("#edit_modul_" + modul_id + " textarea[name='value_modul_"+ modul_id +"']").val();

        var nt = $("#now_t").css("display");
        var nc = $("#now_c").css("display");
        var nb = $("#now_b").css("display");

        var pt = $("#parent_t").css("display");
        var pc = $("#parent_c").css("display");
        var pb = $("#parent_b").css("display");
        
        $.post('/admin/tree/modules/edit/', {modul_value: modul_value, modul_id: modul_id}, function () {
                
                $('.modal_tree_table').load('/admin/tree/modules/browse/?map_id='+map_id+' #modal_tree', function ()
                {
                    $("#now_t").css("display", nt);
                    $("#now_c").css("display", nc);
                    $("#now_b").css("display", nb);
                    
                    $("#parent_t").css("display", pt);
                    $("#parent_c").css("display", pc);
                    $("#parent_b").css("display", pb);
                });
        });
    }

    function change_position(id, step, map_id)
    {
        $.get('/admin/tree/modules/position/', {connect_id: id, step: step}, function ()
        {
                var nt = $("#now_t").css("display");
                var nc = $("#now_c").css("display");
                var nb = $("#now_b").css("display");

                var pt = $("#parent_t").css("display");
                var pc = $("#parent_c").css("display");
                var pb = $("#parent_b").css("display");
                
                $('.modal_tree_table').load('/admin/tree/modules/browse/?map_id='+map_id+' #modal_tree', function ()
                {
                    $("#now_t").css("display", nt);
                    $("#now_c").css("display", nc);
                    $("#now_b").css("display", nb);
                    
                    $("#parent_t").css("display", pt);
                    $("#parent_c").css("display", pc);
                    $("#parent_b").css("display", pb);
                });                         
        });
    }

    /* ДОБАВЛЕНИЕ ВЕТОК */
    
    function add_tree()
    {
        var map_parent      = $("input[name='map_parent']").val();
        var map_alias       = $("input[name='map_alias']").val();
        var map_name        = $("input[name='map_name']").val();
        var map_tree_type   = $("select[name='map_tree_type']").val();
        
        $.post('/admin/tree/tree/add/', { map_parent: map_parent, map_alias: map_alias, map_name: map_name, map_tree_type: map_tree_type }, function ()
        {
            hide_modal();
            
            $('#tree_block').load('/admin/tree/ #tree');           
        });
    }
    
    function open_edit_tree(id)
    {
        if ($('.modal_tree_table').css("display") == 'none')
        {
            $('.modal_tree_table').load('/admin/tree/tree/edit/?map_id='+id+' #modal_tree', function ()
            {
                show_modal();
            });
        }
        else
            hide_modal();
    }
    
    function open_add_tree(id)
    {
        if ($('.modal_tree_table').css("display") == 'none')
        {
            $('.modal_tree_table').load('/admin/tree/tree/add/?map_id='+id+' #modal_tree', function ()          
            {
                show_modal();
            });
        }
        else
            hide_modal();
    }
    
    function edit_tree()
    {
        var map_id          = $("input[name='map_id']").val();
        var map_alias       = $("input[name='map_alias']").val();
        var map_name        = $("input[name='map_name']").val();
        var map_tree_type   = $("select[name='map_tree_type']").val();
        
        $.post('/admin/tree/tree/edit/', { map_id: map_id, map_alias: map_alias, map_name: map_name, map_tree_type: map_tree_type }, function ()
        {
            hide_modal();
            
            $('#tree_block').load('/admin/tree/ #tree');
        });        
    }
    
    function del_tree(id, step)
    {
        if (step == 0)
        {
            if (confirm("Вы уверены, что хотите удалить ветку?"))
                del_tree(id, 1);
        }
        
        if (step == 1)
        {
            $.post('/admin/tree/tree/delete/', { del: id }, function ()
            {
                $('#tree_block').load('/admin/tree/ #tree');
            });
        }
    }
    
    /* ------------------------------------------ */
    function return_edit_modul()
    {
        var modul = $("div[id*='modul_']");
        $(modul).each(function () {
           if ($(this).css('display') == 'none')
             $(this).css({'display': 'block'});
        });        

        var edit_modul = $("div[id*='edit_modul_']");
        $(edit_modul).each(function () {
           if ($(this).css('display') == 'block')
             $(this).css({'display': 'none'});
        });
    }
    
    function show_modal()
    {
        var scroll_window = $("html,body").scrollTop();//определяем позицию скролла всех браузеров кроме гугла
        if(scroll_window == 0)scroll_window = $("body").scrollTop();//определяем позицию скролла у гугл хрома
        scroll_window += 150;

        $('.bg_win_tree').fadeTo(0 ,0.5);
        $('.modal_tree_table').css("top", scroll_window+"px");
        $('.modal_tree_table').css("display", "block");        
    }
    
    function hide_modal()
    {
            $('.bg_win_tree').css("display", "none");
            $('.modal_tree_table').css("display", "none");        
    }
</script>

  <div class="bg_win_tree"></div>
  <div class="modal_tree_table"></div>
  <div id="tree_block">
    <div id="tree">
      <? tpl_recursion($data['tree.intro'], 0, array()); ?>
    </div>
  </div>
<? } ?>

<? function tpl_recursion($massiv, $level, $array) { ?> 
  <? $count = count($massiv); ?>
  <? foreach ($massiv as $key => $value) { ?>
    <? if ($level == 0) { ?>
      <div class="station_tree">
        <div style="float: left;">
          <?=$value['station']?>
        </div>
        <div style="float: right; margin-right:15px;">
          <a href="javascript: open_add_tree('<?=intval($massiv[0]['id'])?>');"><img src="/templates/admin/img/add.png" /></a>
          <span style="width:9px;"><img src="/templates/admin/img/null.gif" /></span>
          <span style="width:9px;"><img src="/templates/admin/img/null.gif" /></span>
        </div>
      </div>
    <? } else { ?>
     <div class="station_tree">
      <div style="float: left;">
        <? for ($i = 2; $i <= $level; $i++) { ?>
          <? if ($array[$i] == 1) { ?>
           <img src="/templates/admin/img/line.png" style="border:0px;" align="left" />
          <? } else { ?>
           <img src="/templates/admin/img/null.gif" width="20px" height="20px" style="border:0px;" align="left" />
          <? } ?>
        <? } ?>
        <img src="/templates/admin/img/<? if ($count > 1) { ?>node<? } else { ?>end<? } ?>.png" style="border:0px;" align="left" />
        &nbsp;<?=$value['station']?>
      </div>
      <div style="float: right; margin-right:15px">
          <span style="width:9px;"><a href="javascript: open_add_tree('<?=$value['id']?>');"><img src="/templates/admin/img/add.png" /></a></span>
          <?
          if ($value['type'] == 1) {
              ?>
              <span style="width:9px;"><a href="javascript: open_edit_tree('<?=$value['id']?>')"><img src="/templates/admin/img/edit.png" /></a></span>
              <?
              if (empty($value['podmenu'])) {
                  ?>
                  <span style="width:9px;"><a href="javascript: del_tree('<?=$value['id']?>', '0')"><img src="/templates/admin/img/del.png" /></a></span>
                  <?
              }
              else
              {
                  ?>
                  <span style="width:9px;"><img src="/templates/admin/img/null.gif" /></span>
                  <?
              }
          }
          else
          {
              ?>
              <span style="width:9px;"><img src="/templates/admin/img/null.gif" /></span>
              <span style="width:9px;"><img src="/templates/admin/img/null.gif" /></span>
              <?
          }
          ?>
        </div>
     </div>
    <? } ?>
    <? /* <div class="hidden_tree" id="tree_<?=$value['id']?>"></div> */ ?>
      <? if (!empty($value['podmenu'])) { ?>
        <? if (is_array($value['podmenu'])) { ?>
            <? $new_level = $level + 1; ?>
            <? $new_array = $array; ?>
            <? $new_array[$new_level] = ($count > 1) ? 1 : 0; ?>
            <? tpl_recursion($value['podmenu'], $new_level, $new_array); ?>
        <? } else { ?>
          <?=$value['podmenu']?>
        <? } ?>
      <? } ?>
    <? $count--; ?>
  <? } ?>
<? } ?>